package com.ces.mybatis.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ces.mybatis.model.User;

public interface IUserDao {
    int insert(User user);
    boolean insertOrUpdateByBatch(@Param("list")List<User> list);
    int update(User user);
    int delete(@Param("userId")String userId);
    List<User> getAll();
    User find(String userId);
}
